Subject: Fw: Fw: rfc2518bis DAV DTD

From: "Stanley Guan" <[email-masked]>
Date: Thu, 16 Oct 2003 08:56:41 -0700

----- Original Message -----
From: "Henry S. Thompson" <[email-masked]>
To: "Stanley Guan" <[email-masked]>
Sent: Wednesday, October 15, 2003 10:16 PM
Subject: Re: Fw: rfc2518bis DAV DTD

> Would you send the following on my behalf, please?
>
>   Regarding your discussion about using W3C XML Schema to express the
>   DAV extensibility rules, I agree with the position which says that
>   unconstrained interleaving of names from any namespace excluding
>   only those already defined by DAV is inexpressible.
>
>   I would observe that it is perhaps misleading to describe this as an
>   extensibility mechanism, particularly in the context of comparison
>   with XSLT.  XSLT has both an *extension* mechanism for stylesheets,
>   which is much more constrained than what you are talking about, and
>   which _can_ be described with W3C XML Schema, and a *versioning*
>   mechanism for the REC itself, which defines forward-compatible
>   processing.  It's the latter you are discussing, not the former.
>
> ht
> --
>   Henry S. Thompson, HCRC Language Technology Group, University of
Edinburgh
>                       Half-time member of W3C Team
>      2 Buccleuch Place, Edinburgh EH8 9LW, SCOTLAND -- (44) 131 650-4440
>     Fax: (44) 131 650-4587, e-mail: [email-masked]
>      URL: http://www.ltg.ed.ac.uk/~ht/
>  [mail really from me _always_ has this .sig -- mail without it is forged
spam]

---

From: "Eric Sedlar" <[email-masked]>
Date: Thu, 16 Oct 2003 09:57:47 -0700

Stanley--

  I raised this issue with Henry about 18 months back regarding the need for
a flavor of <xs:any> that basically says "match anything not otherwise
declared in the content model".  (Henry indicated that this requirement had
come up in other contexts and was under consideration.)  The WebDAV WG
decided at that point to stick with the existing DTD-based mechanism rather
than try to "upgrade" our formalism to XML Schema, until a future version of
XML Schema allowed such a declaration.

  While some schema processors like XML Spy allow something like:
<root>
  <element name="dav:a"/>
  <element name="dav:b"/>
  <any processContents="skip"/>
</root>

as the namespace attribute of the <any> is not required, they also then stop
validating "a" and "b".  This seems to be, strictly speaking, to be illegal,
as the Unique Particle Attribution requirement is being violated.

--Eric

> -----Original Message-----
> From: [email-masked] [mailto:[email-masked]]
> On Behalf Of Stanley Guan
> Sent: Thursday, October 16, 2003 8:57 AM
> To: [email-masked]
> 
> 
>